Subject: Re: linux-next: build failure after merge of the block tree

From: Divyesh Shah <[email-masked]>
Date: Wed, 14 Apr 2010 22:23:25 -0700

On Wed, Apr 14, 2010 at 7:42 PM, Stephen Rothwell <[email-masked]> wrote:
> Hi Jens,
>
> After merging the block tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> ERROR: "get_gendisk" [block/blk-cgroup.ko] undefined!
> ERROR: "sched_clock" [block/blk-cgroup.ko] undefined!

Hi Stephen,
     These errors seem to show up because the 2 symbols aren't
exported and hence when building as a module we don't have access to
these symbols. I'll send a patch to fix that shortly. Sorry for the
build breakage.

-Divyesh

>
> Probably caused by commits 34d0f179d6dd711d3fc13c0820a456c59aae8048
> ("io-controller: Add a new interface "weight_device" for IO-Controller"),
> 9195291e5f05e01d67f9a09c756b8aca8f009089 ("blkio: Increment the blkio
> cgroup stats for real now") and 812df48d127365ffd0869aa139738f572a86759c
> ("blkio: Add more debug-only per-cgroup stats").
>
> I have used the version of the block tree from next-20100414 for today.
> --
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
>